import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickFooter } from '../util/gtm/tags-collection';

/**
 * navigation-bar custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const footer = (() => ({
  init: function () {
    $('.footer-container a.link-2').click(function () {
      const href = $(this).attr('href');

      // Vehicle Purchase
      if (href.match('#principle')) {
        pushTagToGTM({ ...userClickFooter, label: 'VehiclePurchase-Principle' });
      } else if (href.startsWith('/kaeufer-funktionen')) {
        pushTagToGTM({ ...userClickFooter, label: 'VehiclePurchase-Features' });
      } else if (href.match(/#faq/)) {
        pushTagToGTM({ ...userClickFooter, label: 'VehiclePurchase-FAQs' });
      } else if (href.match(/\/glossar/)) {
        pushTagToGTM({ ...userClickFooter, label: 'VehiclePurchase-Glossary' });
      }

      // Vendor
      else if (href.match(/einlieferer#principe/)) {
        pushTagToGTM({ ...userClickFooter, label: 'Vendor-Principle' });
      } else if (href.match(/einlieferer#demo/)) {
        pushTagToGTM({ ...userClickFooter, label: 'Vendor-Demo' });
      } else if (href.match(/einlieferer#faq/)) {
        pushTagToGTM({ ...userClickFooter, label: 'Vendor-FAQS' });
      }

      // CarOnSale
      else if (href.startsWith('/kontakt')) {
        pushTagToGTM({ ...userClickFooter, label: 'CarOnSale-Contact' });
      } else if (href.match(/career\.caronsale/)) {
        pushTagToGTM({ ...userClickFooter, label: 'CarOnSale-Career' });
      } else if (href.startsWith('/about')) {
        pushTagToGTM({ ...userClickFooter, label: 'CarOnSale-About us' });
      }

      // Legal
      else if (href.startsWith('/impressum')) {
        pushTagToGTM({ ...userClickFooter, label: 'Legal information-Imprint' });
      } else if (href.startsWith('/agb')) {
        pushTagToGTM({ ...userClickFooter, label: 'Legal information-General Terms and Conditions' });
      } else if (href.startsWith('/datenschutz')) {
        pushTagToGTM({ ...userClickFooter, label: 'Legal information-PrivacyPolicy' });
      }
    });
  }
}))();
