// -------------------------------------------------------
// HOME - PAGE
// -------------------------------------------------------
/**
 * GTM toolbar buyer-registration button
 * @type {{action: string, label: string, event: string, category: string}}
 */
export const userClickRegistration = {
  event: 'user-click-registration',
  category: 'user',
  action: 'click',
  label: 'header-registration'
};

/**
 * GTM home page hero registration - button
 * @type {{action: string, label: string, event: string, category: string}}
 */
export const userClickHeroRegistration = {
  event: 'user-click-registration',
  category: 'user',
  action: 'click',
  label: 'hero-registration'
};

/**
 * GTM home page auction - registration
 * @type {{action: string, label: string, event: string, category: string}}
 */
export const userClickAuctionRegistration = {
  event: 'user-click-registration',
  category: 'user',
  action: 'click',
  label: 'auction-registration'
};

/**
 * GTM  page faq - registration
 * @type {{action: string, label: string, event: string, category: string}}
 */
export const userClickFAQRegistration = {
  event: 'user-click-registration',
  category: 'user',
  action: 'click',
  label: 'faq-registration'
};

/**
 * GTM home page footer - registration
 * @type {{action: string, label: string, event: string, category: string}}
 */
export const userClickFooterRegistration = {
  event: 'user-click-registration',
  category: 'user',
  action: 'click',
  label: 'footer-registration'
};

/**
 * GTM toolbar login button
 * @type {{action: string, label: string, event: string, category: string}}
 */
export const userClickLogin = {
  event: 'user-click-login',
  category: 'user',
  action: 'click',
  label: 'login'
};

// -------------------------------------------------------
// EVERYWHERE
// -------------------------------------------------------
/**
 * GTM chatbot click
 */
export const chatBotClick = {
  event: 'user-click-chatbot',
  category: 'user',
  action: 'click',
  label: 'chatbot'
};

/**
 * language switch
 */
export const languageSwitchSelect = {
  event: 'user-choose-language',
  category: 'user',
  action: 'click',
  label: 'header-language-switch',
  value: undefined
};

export const userClickHeader = {
  event: 'user-click-Header',
  category: 'user',
  action: 'click',
  label: undefined
};

export const userClickFooter = {
  event: 'user-click-Footer',
  category: 'user',
  action: 'click',
  label: undefined
};

export const userClickGooglePlayStore = {
  event: 'user-click-Google play',
  category: 'user',
  action: 'click',
  label: 'Google Play'
};

export const userClickAppleStore = {
  event: 'user-click-Apple Store',
  category: 'user',
  action: 'click',
  label: 'Apple Store'
};

export const userClickSocialMedia = {
  event: 'user-click-Socialmedia',
  category: 'user',
  action: 'click',
  label: undefined
};

// -------------------------------------------------------
// CAMPAIGN
// -------------------------------------------------------
/**
 * toolbar
 */
export const campaignToolbarClick = {
  event: 'campaign-click-toolbar',
  category: 'campaign',
  action: 'click',
  label: 'toolbar'
};

/**
 * hero
 */
export const campaignHeroClick = {
  event: 'campaign-click-hero',
  category: 'campaign',
  action: 'click',
  label: 'hero'
};

/**
 * book a demo (middle section)
 */
export const campaignBookADemo = {
  event: 'campaign-click-Book-a-demo',
  category: 'campaign',
  action: 'click',
  label: 'book a demo'
};

/**
 * book a demo (footer)
 */
export const campaignBookADemoFooter = {
  event: 'campaign-click-footer',
  category: 'campaign',
  action: 'click',
  label: 'footer'
};
